# Generated from digest_streebog-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name digest_streebog

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: Implementation of STREEBOG (GOST R 34.11-2012) hash function
License: MIT
URL: https://github.com/storkvist/digest_streebog
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Ruby implementation of STREEBOG (GOST R 34.11-2012) hash function; compatible
with OpenSSL::Digest.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Aug 23 2021 mockbuilder - 0.0.0-1
- Initial package
